I am trying to download selinux on an Ubuntu 11.04 using apt-get.

when I tried sudo apt-get install selinux: I got the following error: The following packages have unmet dependencies: selinux : PreDepends: grub-pc but it is not installable E: Broken packages

I then downloaded selinux-utils, selinux-basics.
then, I tried setenforce 1 it returns: setenforce: SELinux is disabled

So, I checked for the config file under /etc/selinux which showed that
parameter SELINUX=permissive

However setenforce 0/1 always shows selinux disabled. I even tried to login as root and did: echo '1' > /selinux/enforce (actually under /selinux there were no parameters!!)

I even tried seinfo and it showed an error: Could not find policy file blah blah.

What are the dependencies? what should I download? how can I resolve this?


Pleas help